[split from] Upgrade question 3.0.0 to 3.0.11

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Ideas Centre
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
User avatar
DonkeyBike
Registered User
Posts: 75
Joined: Sun Sep 16, 2007 1:20 am

[split from] Upgrade question 3.0.0 to 3.0.11

Post by DonkeyBike » Wed Aug 14, 2013 9:31 am

I've done exactly while updating from Current version 3.0.0 to the Latest version 3.0.11 and when I go to Admin Panel, System, it's saying the following:


Your version of phpBB is not up to date.
Below you will find a link to the release announcement for the latest version as well as instructions on how to perform the update.

Current version
3.0.0

Latest version
3.0.11

Any ideas, I've purged the cache, re-uploaded the files/folders, typed http://www.mysite.com/forum/install/database_update.php into my browser which after asking me for my username and password presents me with what's in the image below. Still no updated version though.

Help
Last edited by DonkeyBike on Wed Aug 14, 2013 11:28 am, edited 1 time in total.

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69110
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by KevC » Wed Aug 14, 2013 10:01 am

DonkeyBike wrote:nto my browser which after asking me for my username and password presents me with what's in the image below
The update file does not require a username and password.

That screenshot is showing an ftp prefix not an http one.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
DonkeyBike
Registered User
Posts: 75
Joined: Sun Sep 16, 2007 1:20 am

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by DonkeyBike » Wed Aug 14, 2013 10:07 am

Kevin Clark wrote:
DonkeyBike wrote:nto my browser which after asking me for my username and password presents me with what's in the image below
The update file does not require a username and password.

That screenshot is showing an ftp prefix not an http one.
Ahhhh, I must be using a ftp prefix by accident, causing it to prompt me for a password. I'm trying a reinstall now and will double check. Thanks for the help Kevin, I'll know in 5 mins and reply.



edit: Sorry, but the more I think about this the more certain I am that I didn't type in FTP..... I'm nearly done now and will screen-shot the process.

User avatar
DonkeyBike
Registered User
Posts: 75
Joined: Sun Sep 16, 2007 1:20 am

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by DonkeyBike » Wed Aug 14, 2013 10:45 am

Hi Gents,

I've reinstalled all the files except config.php, the Images and Files folders.



I've typed in the following: http://www.myforum.com/forum /install/database_update.php

and all I get is:
Error occurred: 404 - not found
Apache Server
Since the database_update.php didn't run I haven't deleted the "INSTALL FOLDER" yet, but I did before with no improvement.....

I'm baffled.
Last edited by DonkeyBike on Wed Aug 14, 2013 11:27 am, edited 1 time in total.

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69110
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by KevC » Wed Aug 14, 2013 10:49 am

Your FTP screenshot isn't showing the contents of a folder called /forum which is where your board apparently is.

If that /install folder is in the right place your board will automatically go off line.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
DonkeyBike
Registered User
Posts: 75
Joined: Sun Sep 16, 2007 1:20 am

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by DonkeyBike » Wed Aug 14, 2013 11:05 am

Kevin Clark wrote:Your FTP screenshot isn't showing the contents of a folder called /forum which is where your board apparently is.

If that /install folder is in the right place your board will automatically go off line.
Image Image Image

I've been updating the files to the wrong folder, I should stick with welding metal. :roll:

Thanks so much for taking the time to help Kevin, hopefully all will go smoothly from here....

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69110
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by KevC » Wed Aug 14, 2013 11:07 am

By the way, you'll need to look at updating your style too. You might find a lot of issues if that's also 11 versions out of date.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
DonkeyBike
Registered User
Posts: 75
Joined: Sun Sep 16, 2007 1:20 am

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by DonkeyBike » Wed Aug 14, 2013 2:41 pm

Kevin Clark wrote:By the way, you'll need to look at updating your style too. You might find a lot of issues if that's also 11 versions out of date.
Thanks Kevin, I already have a similar style picked out and waiting in the Styles folder. :)

I'm stuck in a bit of a loop, the Database Update has hung for the last couple of hours.
Updating database to latest stable release

Database type :: mysql4
Previous version :: 3.0.0
Updated version :: 3.0.11


Updating database schema

Progress :: . .
Below are the middle and the last part of the Error Log...
[Wed Aug 14 12:41:47 2013] [error] [client 217.114.169.240] PHP Warning: cannot yet handle MBCS in html_entity_decode()! in /usr/local/pem/vhosts/103859/webspace/httpdocs/forum/mobiquo/mobiquo_common.php on line 177
[Wed Aug 14 12:41:47 2013] [error] [client 217.114.169.240] PHP Warning: cannot yet handle MBCS in html_entity_decode()! in /usr/local/pem/vhosts/103859/webspace/httpdocs/forum/mobiquo/mobiquo_common.php on line 177
[Wed Aug 14 12:41:47 2013] [error] [client 217.114.169.240] PHP Warning: cannot yet handle MBCS in html_entity_decode()! in /usr/local/pem/vhosts/103859/webspace/httpdocs/forum/mobiquo/mobiquo_common.php on line 177
[Wed Aug 14 12:41:47 2013] [error] [client 217.114.169.240] PHP Warning: cannot yet handle MBCS in html_entity_decode()! in /usr/local/pem/vhosts/103859/webspace/httpdocs/forum/mobiquo/mobiquo_common.php on line 177
[Wed Aug 14 12:41:47 2013] [error] [client 217.114.169.240] PHP Warning: cannot yet handle MBCS in html_entity_decode()! in /usr/local/pem/vhosts/103859/webspace/httpdocs/forum/mobiquo/mobiquo_common.php on line 177
[Wed Aug 14 12:41:47 2013] [error] [client 217.114.169.240] PHP Warning: cannot yet handle MBCS in html_entity_decode()! in /usr/local/pem/vhosts/103859/webspace/httpdocs/forum/mobiquo/mobiquo_common.php on line 177
[Wed Aug 14 12:41:47 2013] [error] [client 217.114.169.240] PHP Warning: cannot yet handle MBCS in html_entity_decode()! in /usr/local/pem/vhosts/103859/webspace/httpdocs/forum/mobiquo/mobiquo_common.php on line 177
[Wed Aug 14 12:41:47 2013] [error] [client 217.114.169.240] PHP Warning: cannot yet handle MBCS in html_entity_decode()! in /usr/local/pem/vhosts/103859/webspace/httpdocs/forum/mobiquo/mobiquo_common.php on line 177
[Wed Aug 14 12:41:47 2013] [error] [client 217.114.169.240] PHP Warning: cannot yet handle MBCS in html_entity_decode()! in /usr/local/pem/vhosts/103859/webspace/httpdocs/forum/mobiquo/mobiquo_common.php on line 177
[Wed Aug 14 14:41:32 2013] [error] [client 213.233.148.6] Premature end of script headers: php, referer: http://www.google.co.uk/search?q=www.do ... ent=safari
[Wed Aug 14 14:41:41 2013] [error] [client 84.203.33.42] PHP Fatal error: SQL ERROR [ mysql4 ]<br /><br />Lost connection to MySQL server during query [2013]<br /><br />SQL<br /><br />SELECT *
[Wed Aug 14 14:41:41 2013] [error] [client 84.203.33.42] \tFROM phpbb_config in /usr/local/pem/vhosts/103859/webspace/httpdocs/forum/includes/db/dbal.php on line 757
[Wed Aug 14 14:53:34 2013] [error] [client 84.203.33.42] (70007)The timeout specified has expired: ap_content_length_filter: apr_bucket_read() failed
[Wed Aug 14 15:09:34 2013] [error] [client 217.114.169.240] Premature end of script headers: php

Any ideas ??? .......

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69110
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by KevC » Wed Aug 14, 2013 3:08 pm

Mobiquo is part of tapatalk so you probably need to update that as well.

As you're trying to do a big update it might be better to get an older version and run just the database update file from that so the update is in smaller steps.

Go here
http://sourceforge.net/projects/phpbb/files/phpBB%203/
and get the install folder from 3.0.6 and run that first. Then upload the one from 3.0.11
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
DonkeyBike
Registered User
Posts: 75
Joined: Sun Sep 16, 2007 1:20 am

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by DonkeyBike » Wed Aug 14, 2013 3:41 pm

Kevin Clark wrote:Mobiquo is part of tapatalk so you probably need to update that as well.
I could live without TapaTalk, I'll update that later, I was worried it was part of the problem.

Kevin Clark wrote: As you're trying to do a big update it might be better to get an older version and run just the database update file from that so the update is in smaller steps.

Go here
http://sourceforge.net/projects/phpbb/files/phpBB%203/
and get the install folder from 3.0.6 and run that first. Then upload the one from 3.0.11
Through blind luck rather than any kind of an idea of what I'm doing I'd just started doing that, from 3.0.0 to 3.0.4
viewtopic.php?p=13199997#p13199997

Still no joy though, the update hasn't progressed at all in the last half an hour.

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69110
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by KevC » Wed Aug 14, 2013 3:48 pm

It should take less than a minute. If it hasn't done it in that time then it's timed out.

Try 3.0.1
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
DonkeyBike
Registered User
Posts: 75
Joined: Sun Sep 16, 2007 1:20 am

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by DonkeyBike » Wed Aug 14, 2013 4:05 pm

Kevin Clark wrote:It should take less than a minute. If it hasn't done it in that time then it's timed out.

Try 3.0.1
Blast, no luck with either 3.0.6 or even 3.0.1...... :|

I even tried 3.0.0 ................. no go. :?:

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69110
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by KevC » Wed Aug 14, 2013 4:19 pm

Open the cache folder on the server and delete everything except index.htm and .htaccess (if you can see it).

Then try 3.0.1 again.

If there's no joy ask your hosts why it might be timing out.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
DonkeyBike
Registered User
Posts: 75
Joined: Sun Sep 16, 2007 1:20 am

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by DonkeyBike » Wed Aug 14, 2013 6:37 pm

Kevin Clark wrote:Open the cache folder on the server and delete everything except index.htm and .htaccess (if you can see it).

Then try 3.0.1 again.

If there's no joy ask your hosts why it might be timing out.
The updater from 3.0.0. to 3.0.RC1 worked !!

I was in the process of downloading a backup of all the files so I hadn't deleted the install folder. This I have since done and am currently updating to 3.0.1.

I asked my host why it might be timing out and he said I was still on mysql4 on a very old server which had a very high demand. This is going to change tomorrow morning, new server with a fresh installation of MySQL5 and hopefully 3.0.11
Not sure why it started working, either the clean out of the Cache folder or the smaller increments of installation ? There is a folder called Cache within the Cache folder, should this be deleted ?

I'll wait till tomorrow for the migration to the new server before I continue with the update to 3.0.2.

Thanks Kevin.

Daithi.

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69110
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: [split from] Upgrade question 3.0.0 to 3.0.11

Post by KevC » Wed Aug 14, 2013 6:47 pm

Are you sure your board was in fact 3.0.0 then?
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

Locked

Return to “[3.0.x] Support Forum”